%global obsroot /usr/lib/obs
%global obssvcroot %{obsroot}/service

%global srcname obs-service-source_validator

Name:           osc-source_validator
Version:        0.19
Release:        3%{?dist}
License:        GPLv2+
Summary:        OBS source service to validate sources
URL:            https://github.com/openSUSE/obs-service-source_validator
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
Requires:       gnupg2
Requires:       obs-build
Requires:       osc
Requires:       rpm-build
Requires:       /usr/bin/xmllint

# TODO: Rename this package...
Provides:       %{srcname} = %{version}-%{release}

%description
This is a source service for openSUSE Build Service.

This service runs all checks as required by openSUSE:Factory project. This can be used
to guarantee that all checks succeed also on the service side. This plugin can be
used via project wide defined services.


%prep
%setup -q -n %{srcname}-%{version}

%build
# Nothing to do

%install
%make_install

%files
%license COPYING
%{obssvcroot}/*

%changelog
* Tue Dec 31 2019 Neal Gompa <ngompa13@gmail.com> - 0.19-3
- Rebuild again to deal with random Koji+Bodhi breakage

* Mon Dec 30 2019 Neal Gompa <ngompa13@gmail.com> - 0.19-2
- Rebuild to deal with random Koji+Bodhi breakage

* Fri Dec 27 2019 Neal Gompa <ngompa13@gmail.com> - 0.19-1
- Rebase to 0.19

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Neal Gompa <ngompa13@gmail.com> - 0.10-1
- Rebase to 0.10 to fix CVE-2017-9274

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.1-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 07 2011 Jerome Soyer <saispo@gmail.com> - 0.1-4
- Fix macros
- Explain how to create the tarball

* Fri Jun 24 2011 Jerome Soyer <saispo@gmail.com> - 0.1-3
- Fix Summary
- Fix Description
- Add Requires on osc

* Thu Jun  9 2011 Jerome Soyer <saispo@gmail.com> - 0.1-2
- Remove SOURCE1

* Wed Jun  8 2011 Jerome Soyer <saispo@gmail.com> - 0.1-1
- Initial build
